Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class ThemeLink

    java.lang.Object
      org.jboss.portal.theme.ThemeLink

All Implemented Interfaces:
  ThemeElement

    public final class ThemeLink

extends java.lang.Object
implements ThemeElement

An implementation of a `ThemeLink`.

The theme link is responsible for producing the markup of a link element in the markup response's head tag.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  Martin Holzner
See Also:
  `ThemeElement`

Constructor Summary
`ThemeLink(java.lang.String contextPath, java.lang.String rel, java.lang.String type, java.lang.String href, java.lang.String id, java.lang.String title, java.lang.String media)` Create a new ThemeLink

Method Summary
`java.lang.String` | `getAttributeValue(java.lang.String attributeName)` Get the attribute value of the provided attribute, or null if the attribute is not specified in this element
`java.lang.String` | `getElement()` Get the markup of the theme element.
`java.lang.String` | `getLink()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThemeLink

    public ThemeLink(java.lang.String contextPath,
                     java.lang.String rel,
                     java.lang.String type,
                     java.lang.String href,
                     java.lang.String id,
                     java.lang.String title,
                     java.lang.String media)

  Create a new ThemeLink

  Parameters:
    `contextPath` - the URI of the servlet context that hosts the resource that the link is pointing to
    `rel` - the rel attributes value
    `type` - the type attributes value
    `href` - the href attributes value
    `title` - the title attributes value
    `media` - the media attributes value

Method Detail

### getLink

    public java.lang.String getLink()

  See Also:
    `getLink()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### getElement

    public java.lang.String getElement()

  Description copied from interface: `ThemeElement`
  Get the markup of the theme element.

  Specified by:
    `getElement` in interface `ThemeElement`
  Returns:
    the markup that this theme element represents
  See Also:
    `ThemeElement.getElement()`

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String attributeName)

  Description copied from interface: `ThemeElement`
  Get the attribute value of the provided attribute, or null if the attribute is not specified in this element

  Specified by:
    `getAttributeValue` in interface `ThemeElement`
  Parameters:
    `attributeName` - the name of the attribute to get the value for
  Returns:
    a String with the attribute value
  See Also:
    `org.jboss.portal.theme.ThemeElement@getAttributeValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD